Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::FileChooserWidget Class Reference

A GtkFileChooserWidget C++ wrapper class. More...

`#include <xfc/gtk/filechooserwidget.hh>`

Inheritance diagram for Xfc::Gtk::FileChooserWidget:

List of all members.

## Public Member Functions

Constructors

- FileChooserWidget (FileChooserAction action, const char *backend=0)
    Constructs a new file chooser widget.
- virtual ~FileChooserWidget ()
    Destructor.

Accessors

- GtkFileChooserWidget * gtk_file_chooser_widget () const
    Get a pointer to the GtkFileChooserWidget structure.
- operator GtkFileChooserWidget * () const
    Conversion operator; safely converts an FileChooserWidget to a GtkFileChooserWidget pointer.

## Protected Member Functions

Constructors

- FileChooserWidget (GtkFileChooserWidget *widget, bool owns_reference=false)
    Construct a new FileChooserWidget from an existing GtkFileChooserWidget.

## Detailed Description

A GtkFileChooserWidget C++ wrapper class.

FileChooserWidget is a widget suitable for selecting files. It is the main building block of a Gtk::FileChooserDialog. Most applications will only need to use the latter; but you can use GtkFileChooserWidget as part of a larger window if you have special needs.

Note that FileChooserWidget does not have any methods of its own. Instead, you should use the functions that work on a Gtk::FileChooser.

See also: the File Chooser HOWTO and the file chooser example in the <tests/filechooser> suddirectory.

## Constructor & Destructor Documentation

Xfc::Gtk::FileChooserWidget::FileChooserWidget | ( | GtkFileChooserWidget * | widget,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new FileChooserWidget from an existing GtkFileChooserWidget.

Parameters:

  | widget | A pointer to a GtkFileChooserWidget.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The widget can be a newly created GtkFileChooserWidget or an existing GtkFileChooserWidget (see G::Object::Object).

Xfc::Gtk::FileChooserWidget::FileChooserWidget | ( | FileChooserAction | action,
|  | const char * | backend = `0`
| ) |

Constructs a new file chooser widget.

Parameters:

  | action | Open or save mode for the widget.
  | backend | The name of the specific filesystem backend to use, or null for the default.

The documentation for this class was generated from the following file:

- filechooserwidget.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3